# Type Alias PluginCfg

type PluginCfg = {
configuration?: string | any;
deploy_private_key?: string;
description?: string;
documentation_link?: string;
has_auth?: boolean;
has_theme?: boolean;
id?: number | string;
location: string;
name: string;
source: PluginSourceType;
unsafe?: boolean;
version?: string | number;
}

- Defined in model-abstracts/abstract_plugin.ts:3

##### Index

### Properties

configuration?
deploy_private_key?
description?
documentation_link?
has_auth?
has_theme?
id?
location
name
source
unsafe?
version?

## Properties

### `Optional` configuration

configuration?: string | any

- Defined in model-abstracts/abstract_plugin.ts:9

### `Optional` deploy_private_key

deploy_private_key?: string

- Defined in model-abstracts/abstract_plugin.ts:15

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_plugin.ts:11

### `Optional` documentation_link

documentation_link?: string

- Defined in model-abstracts/abstract_plugin.ts:8

### `Optional` has_auth

has_auth?: boolean

- Defined in model-abstracts/abstract_plugin.ts:13

### `Optional` has_theme

has_theme?: boolean

- Defined in model-abstracts/abstract_plugin.ts:12

### `Optional` id

id?: number | string

- Defined in model-abstracts/abstract_plugin.ts:4

### location

location: string

- Defined in model-abstracts/abstract_plugin.ts:5

### name

name: string

- Defined in model-abstracts/abstract_plugin.ts:6

### source

source: PluginSourceType

- Defined in model-abstracts/abstract_plugin.ts:10

### `Optional` unsafe

unsafe?: boolean

- Defined in model-abstracts/abstract_plugin.ts:14

### `Optional` version

version?: string | number

- Defined in model-abstracts/abstract_plugin.ts:7